Name:       python-swiftclient
Version:    1.3.0
Release:    1%{?dist}
Summary:    Client Library for OpenStack Object Storage API
License:    ASL 2.0
URL:        http://pypi.python.org/pypi/%{name}
Source0:    http://pypi.python.org/packages/source/p/%{name}/%{name}-%{version}.tar.gz

#
# patches_base=1.3.0
#
Patch0001: 0001-add-swift-man-page.patch

BuildArch:  noarch
Requires:   python-simplejson
Requires:   python-keystoneclient
# /usr/bin/swift collision with older swift-im rhbz#857900
Conflicts:  swift < 2.0-0.3

BuildRequires: python2-devel
BuildRequires: python-setuptools

%description
Client library and command line utility for interacting with Openstack
Object Storage API.

%package doc
Summary:    Documentation for OpenStack Object Storage API Client
Group:      Documentation

BuildRequires: python-sphinx

%description doc
Documentation for the client library for interacting with Openstack
Object Storage API.

%prep
%setup -q
# Remove bundled egg-info
rm -rf python_swiftclient.egg-info
# let RPM handle deps
sed -i '/setup_requires/d; /install_requires/d; /dependency_links/d' setup.py

%patch0001 -p1

%build
%{__python} setup.py build

%install
%{__python} setup.py install -O1 --skip-build --root %{buildroot}
# Install swift.1 to man1x in order to avoid conflict with old swift bz#904353
install -d -m 755 %{buildroot}%{_mandir}/man1x
install -p -m 0644 doc/manpages/swift.1 %{buildroot}%{_mandir}/man1x/swift.1x

# Delete tests
rm -fr %{buildroot}%{python_sitelib}/tests

export PYTHONPATH="$( pwd ):$PYTHONPATH"
pushd doc
make html
popd
# Fix hidden-file-or-dir warnings
rm -fr doc/build/html/.doctrees doc/build/html/.buildinfo

%files
%doc LICENSE README.rst
%{_mandir}/man1x/swift.1*
%{_bindir}/swift
%{python_sitelib}/swiftclient
%{python_sitelib}/*.egg-info

%files doc
%doc LICENSE doc/build/html

%changelog
* Sat Mar 09 2013 Alan Pevec <apevec@redhat.com> 1.3.0-1
- Update to 1.3.0 release.

* Wed Feb 27 2013 Pete Zaitcev <zaitcev@redhat.com> 1.2.0-5
- add man page swift.1 from openstack-swift-1.7.4-9 (as swift.1x), bz#904353

* Mon Feb 11 2013 Alan Pevec <apevec@redhat.com> 1.2.0-4
- add missing dependency on keystoneclient

* Mon Sep 17 2012 Alan Pevec <apevec@redhat.com> 1.2.0-2
- conflict with swift-im bz#857900

* Thu Sep 13 2012 Alan Pevec <apevec@redhat.com> 1.2.0-1
- Update to 1.2.0 release.

* Tue Jul 31 2012 Alan Pevec <apevec@redhat.com> 1.1.1-1
- Initial release.
